Skip to main content
POST
Search Profile
Search for LinkedIn profiles using multiple filters including company, location, school, network, and keywords.
Credit Usage: 1 credit per 10 results (or fraction thereof). For example:
  • 1-10 results = 1 credit
  • 11-20 results = 2 credits
  • 300 results = 30 credits

Header Parameters

string
required
Your API key

Body Parameters

string
LinkedIn company URL or identifier to filter by current company. Use semicolon (;) as separator for multiple companies (e.g., “google;microsoft;apple”).
string
Geographic location to filter profiles. Use semicolon (;) as separator for multiple locations (e.g., “Paris;London;New York”).
string
LinkedIn school URL or identifier to filter by education. Use semicolon (;) as separator for multiple schools (e.g., “harvard;stanford;mit”).
string
Network connection level to filter by:
  • “F” = First-degree connections (1st)
  • “S” = Second-degree connections (2nd)
  • “O” = Out-of-network connections (3rd+) Use (,) as separator for multiple, eg: F,S,O
string
Search keyword to find relevant profiles
integer
default:"10"
Number of profiles to retrieve (used when not in pagination mode)
integer
First page to fetch when using pagination mode (default: 1)
integer
Last page to fetch when using pagination mode (default: same as start_page)
string
default:"FR"
Country code for proxy selection. Available: US, CA, MX, CR, BR, AR, CL, CO, FR, UK, DE, NL, ES, IT, PT, BE, CH, AT, IE, SE, DK, FI, LT, LV, EE, PL, CZ, SK, HU, RO, UA, SI, HR, RS, AL, GR, CY, TR, IL, AE, EG, ZA, IN, PK, BD, JP, SG, MY, ID, TH, PH, AU
string
default:""
First name parameter in advanced keyword
string
default:""
Last name parameter in advanced keyword
string
default:""
Title text parameter in advanced keyword
string
LinkedIn profile URL(s) to filter by their connections. Use semicolon (;) as separator for multiple profiles (e.g., “https://www.linkedin.com/in/john-doe;https://www.linkedin.com/in/jane-doe”).
Important for connection_of filter: You must be connected (1st degree) with the target profile to use this filter effectively. If you are not connected, the API will return profiles that you have in common as mutual connections with that person, not their full connection list.
string
Industry to filter profiles by. Use semicolon (;) as separator for multiple industries (e.g., “software;marketing;finance”).Get the full list of available industries at: api.linkupapi.com/v1/tool/industries
string
LinkedIn company URL or identifier to filter by past/previous company. Use semicolon (;) as separator for multiple companies (e.g., “Google;Microsoft;Amazon”).
string
LinkedIn profile URL(s) to filter by followers of that profile. Use semicolon (;) as separator for multiple profiles (e.g., “https://www.linkedin.com/in/john-doe;https://www.linkedin.com/in/jane-doe”).
string
required
LinkedIn authentication cookie obtained from the login/verify process
boolean
default:"true"
Whether to fetch the invitation state for each profile. When set to true, the response will include the current invitation/connection status for each profile.

Response

string
Request status (success/error)
object

Notes

  • Company and school identifiers can be either:
  • Location search supports:
    • Cities
    • Regions
    • Countries
    • Market areas
  • Profile pictures are direct links to LinkedIn’s media servers
  • Missing information is marked as ‘N/A’
  • Profile pictures may be null if not available or restricted
  • The total_available_results field shows the total number of profiles that match your search criteria on LinkedIn
  • Results are paginated with a maximum of 50 profiles per page
  • Search restrictions:
    • Rate limits apply